Bug 473034 - System Monitor graph update frequency 10x too fast
System Monitor graph update frequency 10x too fast
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 02:31 EST by Len Brown
Modified: 2018-04-11 03:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 16:40:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len Brown 2008-11-26 02:31:50 EST
There appears to be a dropped decimal place in the
System Monitor application.

By default it appears to update its Resources graphs
10 times/second (putting a significant load on my
Atom desktop).

System Monitor Preferences for
Graphs lists an "Update interval in seconds",
which has a default value of 1.0.
However, this dialogue must be set at 10.00
in order for the graph updates to slow down
to 1/sec.
Comment 1 Matěj Cepl 2008-11-26 12:02:02 EST
OK, let's say I am silly. Could you please provide for me step by step description of what I need to do to reproduce your problem with normal names of the programs from the package xorg-x11-apps?

Thank you.
Comment 2 Len Brown 2008-11-26 13:43:25 EST
Click on Applications/System Tools/System Monitor

An application with title bar "System Monitor" comes up.
Help/About for that application displays
"System Monitor 2.24.1" View current processes and monitor system state

ps -ef suggests that this application is called "gnome-system-monitor"

I've verified that this problem exists in both 32-bit FC10 and 64-bit FC9.
Comment 3 Matěj Cepl 2008-11-26 19:08:00 EST
Oh yes, that's what I thought -- then we are in the bad component. Reclassifying.
Comment 4 Florian Fahr 2008-12-27 16:54:50 EST
I might add: Due of this issue gnome-system-monitor wastes way too much resources even on moderately fast CPUs like my 1.80GHz Dothan Pentium-M (even though the Atom might be in a similar range). Setting the update interval to 10 seconds resulting in 1 update per second I suddenly reduce CPU usage from 20% to 2%. Please fix this.
Comment 5 Len Brown 2008-12-30 16:11:46 EST
top shows that gnome-system-monitor consumes 26% of my 1.6 GHz Atom Processor
when run with the default "Update interval in seconds = 1.00"

When this is set to "10.00" for an actual update every 1 second,
gnome-system-monitor sucks only about 3% of my CPU.
Comment 6 Len Brown 2009-02-11 15:30:39 EST
Is anybody responsible for gnome-system-monitor?
Is it a waste of my time to file bugs against Fedora?

Really, I want to know.
Comment 7 Matěj Cepl 2009-02-11 16:40:24 EST
We filed this bug in the upstream database (http://bugzilla.gnome.org/show_bug.cgi?id=571357) and believe that it is more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.
Comment 8 Len Brown 2009-02-12 13:16:48 EST
thanks for taking action.
I'll follow up in the gnome bug database.

Note You need to log in before you can comment on or make changes to this bug.